/* License. */
/*  */
/* std_commonflt.h */
/*  */
/* This file provides a set of C functions for dealing with floating-point */
/*  numbers. */

#ifndef STD_COMMONFLT_H
# define STD_COMMONFLT_H 0



# include "common_macros.h"



# ifdef NAMESPACE
#  define CMNFLT_NAMESPACE IDENTITY( NAMESPACE )
#  undef NAMESPACE
# endif



# if defined( USE_FLT ) || ( !defined( USE_DBL ) && !defined( USE_LDBL ) )

#  define NAMESPACE flt_

# elif defined( USE_DBL )

#  define NAMESPACE dbl_

# else

#  define NAMESPACE ldbl_

# endif



# include "common_float.h"

#endif
/* End std_commonflt.h */
